Package com.castlabs.android.network

# Class DefaultHttpDataSourceBuilder

java.lang.Object
com.castlabs.android.network.DefaultHttpDataSourceBuilder

All Implemented Interfaces:
  `HttpDataSourceBuilder`

public class DefaultHttpDataSourceBuilder extends Object implements HttpDataSourceBuilder
The default http data source builder.

Please not that this is a public class because it is used by plugins and extensions but you usually do not need to use this class explicitly.

Since:
  3.0.2

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultHttpDataSourceBuilder()`
  Creates a new instance of `DefaultHttpDataSourceBuilder`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `com.google.android.exoplayer2.upstream.HttpDataSource`
  `get(String userAgent, Map<String,String> queryParameters, com.google.android.exoplayer2.upstream.TransferListener transferListener, NetworkConfiguration networkConfiguration, int requestType)`
  Create a new data source
  `com.google.android.exoplayer2.upstream.HttpDataSource`
  `get(String userAgent, Map<String,String> queryParameters, com.google.android.exoplayer2.upstream.TransferListener transferListener, NetworkConfiguration networkConfiguration, int requestType, SSLSocketFactory sslSocketFactory)`
  Create a new data source

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DefaultHttpDataSourceBuilder

    public DefaultHttpDataSourceBuilder()
    Creates a new instance of `DefaultHttpDataSourceBuilder`.

- ## Method Details

  - ### get

    public com.google.android.exoplayer2.upstream.HttpDataSource get(@NonNull String userAgent, @Nullable Map<String,String> queryParameters, @Nullable com.google.android.exoplayer2.upstream.TransferListener transferListener, @NonNull NetworkConfiguration networkConfiguration, int requestType)
    Description copied from interface: `HttpDataSourceBuilder`
    Create a new data source
    Specified by:
      `get` in interface `HttpDataSourceBuilder`
    Parameters:
      `userAgent` - the user agent
      `queryParameters` - the query parameters
      `transferListener` - the transfer listener
      `networkConfiguration` - The network configuration
      `requestType` - The request type
    Returns:
      The data source

  - ### get

    public com.google.android.exoplayer2.upstream.HttpDataSource get(@NonNull String userAgent, @Nullable Map<String,String> queryParameters, @Nullable com.google.android.exoplayer2.upstream.TransferListener transferListener, @NonNull NetworkConfiguration networkConfiguration, int requestType, @Nullable SSLSocketFactory sslSocketFactory)
    Description copied from interface: `HttpDataSourceBuilder`
    Create a new data source
    Specified by:
      `get` in interface `HttpDataSourceBuilder`
    Parameters:
      `userAgent` - the user agent
      `queryParameters` - the query parameters
      `transferListener` - the transfer listener
      `networkConfiguration` - The network configuration
      `requestType` - The request type
      `sslSocketFactory` - SSL socket factory or `null` to use the system default one
    Returns:
      The data source